<mat-card>

  <mat-card-header>
    <mat-card-title>Ajouter une recette</mat-card-title>
  </mat-card-header>

  <mat-card-content>
    <form [formGroup]="form">
      <mat-form-field appearance="outline">
        <mat-label>Type</mat-label>
        <mat-select #type required formControlName="type">
          <mat-option *ngFor="let type of types" [value]="type">{{ type }}</mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field appearance="outline">
        <mat-label>Nom</mat-label>
        <input #name matInput maxlength="30" placeholder="ex: Filet mignon, Tiramisu..." required formControlName="name">
        <mat-hint align="end">{{name.value?.length || 0}}/30 caractères</mat-hint>
      </mat-form-field>

      <mat-form-field appearance="outline">
        <mat-label>Description</mat-label>
        <textarea #description matInput maxlength="400" matTextareaAutosize matAutosizeMinRows="3" matAutosizeMaxRows="5"
          placeholder="ex: Etape 1: Découper en fine lamelle les pommes de terres..." required formControlName="description"></textarea>
        <mat-hint align="end">{{description.value?.length || 0}}/400 caractères</mat-hint>
      </mat-form-field>

      <mat-form-field appearance="outline">
        <mat-label>Prix</mat-label>
        <input #price matInput type="number" placeholder="ex: 8" min="0" max="999" required formControlName="price">
        <span matSuffix>€</span>
      </mat-form-field>

      <mat-form-field appearance="outline">
        <mat-label>Durée</mat-label>
        <input #duration matInput type="number" placeholder="ex: 180" min="0" max="999" required formControlName="duration">
        <span matSuffix>minutes</span>
      </mat-form-field>

      <mat-form-field appearance="outline">
        <mat-label>Image</mat-label>
        <input #img matInput maxlength="2083" placeholder="ex: http://example.com/img.png" required formControlName="img">
      </mat-form-field>

      <!--       <mat-form-field>
        <mat-label>Unité</mat-label>
        <mat-select required>
          <mat-option *ngFor="let unit of units" [value]="unit">{{ unit }}</mat-option>
        </mat-select>
      </mat-form-field> -->

      <button mat-flat-button  color="primary" class="login-tile_submit"
        (click)="addRecipe(type.value, name.value, description.value, price.value, duration.value, img.value)">Ajouter</button>
    </form>
  </mat-card-content>

</mat-card>